summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorMamoru Komachi <usata@gentoo.org>2004-11-25 02:32:54 +0000
committerMamoru Komachi <usata@gentoo.org>2004-11-25 02:32:54 +0000
commit5499e9710cdd9101bce2e0ef7a42a24b8d43069a (patch)
treef74e9f36d251d336903819fd2a2d3580bc092f03 /eclass
parentDon't inherit from debug.eclass.. (Manifest recommit) (diff)
downloadgentoo-2-5499e9710cdd9101bce2e0ef7a42a24b8d43069a.tar.gz
gentoo-2-5499e9710cdd9101bce2e0ef7a42a24b8d43069a.tar.bz2
gentoo-2-5499e9710cdd9101bce2e0ef7a42a24b8d43069a.zip
* Use tc-getCC and tc-getCXX rather than $CC/$CXX. (bug #72211)
* Do not use rmdir --ignore-fail-on-non-empty option since it will fail on non-GNU userland systems. (bug #72211) * Pass ${MAKEOPTS} and ${EXTRA_EMAKE} to ruby_emake(). (bug #72206)
Diffstat (limited to 'eclass')
-rw-r--r--eclass/ruby.eclass8
1 files changed, 4 insertions, 4 deletions
diff --git a/eclass/ruby.eclass b/eclass/ruby.eclass
index b31e4c1d1170..f9c4a7c6ac61 100644
--- a/eclass/ruby.eclass
+++ b/eclass/ruby.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ruby.eclass,v 1.40 2004/09/23 23:50:45 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ruby.eclass,v 1.41 2004/11/25 02:32:54 usata Exp $
#
# Author: Mamoru KOMACHI <usata@gentoo.org>
#
@@ -36,7 +36,7 @@
# if you are using <sys-apps/portage-2.0.49-r17.
# PATCHES Space delimited list of patch files.
-inherit eutils
+inherit eutils toolchain-funcs
ECLASS=ruby
INHERITED="${INHERITED} ${ECLASS}"
@@ -103,7 +103,7 @@ ruby_econf() {
ruby_emake() {
if [ -f makefiles -o -f GNUmakefile -o -f makefile -o -f Makefile ] ; then
- make CC=${CC:-gcc} CXX=${CXX:-g++} "$@" || die "emake for ruby failed"
+ make CC="$(tc-getCC)" CXX="$(tc-getCXX)" ${MAKEOPTS} ${EXTRA_EMAKE} "$@" || die "emake for ruby failed"
fi
}
@@ -144,7 +144,7 @@ erubydoc() {
insinto ${rdbase}
[ -n "${rdfiles}" ] && doins ${rdfiles}
- rmdir --ignore-fail-on-non-empty ${D}${rdbase}
+ rmdir ${D}${rdbase} 2>/dev/null || true
if [ -d doc -o -d docs ] ; then
dohtml -x html -r {doc,docs}/*
dohtml -r {doc,docs}/html/*